#
#       Makefile for uhpack
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uhpack
LIBFSRCS	= uherb.f  uherbz.f uhdif.f  uhdifz.f uhbrf.f  uhbrfz.f \
		  uhbra.f  uhbraz.f uhbrl.f  uhbrlz.f uhbxf.f  uhbxfz.f \
		  uhbxa.f  uhbxaz.f uhbxl.f  uhbxlz.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uherb.o  uherbz.o uhdif.o  uhdifz.o uhbrf.o  uhbrfz.o \
		  uhbra.o  uhbraz.o uhbrl.o  uhbrlz.o uhbxf.o  uhbxfz.o \
		  uhbxa.o  uhbxaz.o uhbxl.o  uhbxlz.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
